• Русский
  • MonitorDashboard [ait.alauda.io/v1alpha1]

    The installer creates this CRD only when it is not already present in the cluster.

    Description
    MonitorDashboard is the Schema for the templates API
    Type
    object
    Required
    spec

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    .spec

    Type
    object
    PropertyTypeDescription
    bodyobject

    Body is a json content for MonitorDashboard. Same as GrafanaDashboard's Json

    .spec.body

    Description
    Body is a json content for MonitorDashboard. Same as GrafanaDashboard's Json
    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/ait.alauda.io/v1alpha2/namespaces/{namespace}/monitordashboards
      • DELETE: delete collection of MonitorDashboard
      • GET: list objects of kind MonitorDashboard
      • POST: create a new MonitorDashboard
    • /apis/ait.alauda.io/v1alpha2/namespaces/{namespace}/monitordashboards/{name}
      • DELETE: delete the specified MonitorDashboard
      • GET: read the specified MonitorDashboard
      • PATCH: partially update the specified MonitorDashboard
      • PUT: replace the specified MonitorDashboard

    /apis/ait.alauda.io/v1alpha2/namespaces/{namespace}/monitordashboards

    HTTP method
    DELETE
    Description
    delete collection of MonitorDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind MonitorDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKMonitorDashboardList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new MonitorDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMonitorDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMonitorDashboard schema
    201 - CreatedMonitorDashboard schema
    202 - AcceptedMonitorDashboard schema
    401 - UnauthorizedEmpty

    /apis/ait.alauda.io/v1alpha2/namespaces/{namespace}/monitordashboards/{name}

    HTTP method
    DELETE
    Description
    delete the specified MonitorDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified MonitorDashboard
    HTTP responses
    HTTP codeResponse body
    200 - OKMonitorDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified MonitorDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKMonitorDashboard schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified MonitorDashboard
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyMonitorDashboard schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKMonitorDashboard schema
    201 - CreatedMonitorDashboard schema
    401 - UnauthorizedEmpty